Summary:	rc - a Plan 9 shell
Summary(pl.UTF-8):	rc - powłoka z systemu Plan 9
Name:		rc
Version:	1.7.1
Release:	7
License:	GPL
Group:		Applications/Shells
Source0:	http://rc-shell.slackmatic.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	7253e1c853824cf27edb2166214f0511
Patch0:		%{name}-tinfo.patch
URL:		http://rc-shell.slackmatic.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rc is a shell from Plan 9 operating system. Although it is a bit
similiar to sh(1), it's syntax is is much closer to C, even than
syntax csh.

%description -l pl.UTF-8
rc jest powłoką użytkownika systemu operacyjnego Plan 9. Jej składnia
jest trochę podobna do sh(1), ale jest znacznie bliższa C, nawet w
porównaniu ze składnią csh.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-readline
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS EXAMPLES
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rc.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 839664f
- release 7 (by relup.sh)

* Thu Oct 20 2016 Jan Rękorajski <baggins@pld-linux.org> 350aca6
- rebuild am files
- rel 6

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 9573dce
- rebuild with readline 7.0
- release 5 (by relup.sh)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8aa4569
- release 4

* Sun Feb 03 2008 arvenil <arvenil@pld-linux.org> b5c0e7b
- changed original URL and Source0 (old doesn't exists)

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 80ab4fc
- updated tinfo patch to prefer libtinfo over libtermcap
- BR: automake

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 976441d
- prefer libtinfo over libtermcap

* Sat Jun 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cccb9d3
- detect tgetent properly

* Sat Jun 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a191d4
- check tinfo

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bd885a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45ad499
- converted to UTF-8

* Mon Jul 18 2005 aredridel <aredridel@pld-linux.org> 0c51a70
- add readline

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 3c798ea
- release 2

* Mon May 24 2004 twittner <twittner@pld-linux.org> fa056bf
- typo

* Sat May 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 1dab4d4
- cosmetics

* Sat May 22 2004 areq <areq@pld-linux.org> 4dc5c3e
- 1.7.1

* Thu Dec 04 2003 speedy <speedy@pld-linux.org> 532d8c3
- release 2

* Fri May 30 2003 misi3k <misi3k@pld-linux.org> 5b8094b
- updated to 1.6c7

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 053f0d8
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e60ec4c
- massive attack s/pld.org.pl/pld-linux.org/

